import { registerExtension } from 'vscode/extensions';

var manifest = {name:"lua",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},scripts:{"update-grammar":"node ../node_modules/vscode-grammar-updater/bin sumneko/lua.tmbundle Syntaxes/Lua.plist ./syntaxes/lua.tmLanguage.json"},categories:["Programming Languages"],contributes:{languages:[{id:"lua",extensions:[".lua"],aliases:["Lua","lua"],configuration:"./language-configuration.json"}],grammars:[{language:"lua",scopeName:"source.lua",path:"./syntaxes/lua.tmLanguage.json",tokenTypes:{"comment.line.double-dash.doc.lua":"other"}}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./syntaxes/lua.tmLanguage.json', new URL('./resources/lua.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":15149});
registerFileUrl('./language-configuration.json', new URL('./resources/language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":537});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":711});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":117});

export { whenReady };
